Index: uk/me/parabola/mkgmap/reader/osm/ElementSaver.java
===================================================================
--- uk/me/parabola/mkgmap/reader/osm/ElementSaver.java	(revision 3074)
+++ uk/me/parabola/mkgmap/reader/osm/ElementSaver.java	(working copy)
@@ -19,6 +19,8 @@
 import java.util.Iterator;
 import java.util.List;
 import java.util.Map;
+import java.util.Map.Entry;
+
 import uk.me.parabola.imgfmt.Utils;
 import uk.me.parabola.imgfmt.app.Area;
 import uk.me.parabola.imgfmt.app.Coord;
@@ -219,7 +221,32 @@
 		for (Relation r : relationMap.values())
 			converter.convertRelation(r);
 
+		Node lastPOI = null;
+		boolean complainedAboutLastPOI = false;
 		for (Node n : nodeMap.values()){
+			if (lastPOI != null && n.getLocation().equals(lastPOI.getLocation())){
+				if (n.getTagCount() == lastPOI.getTagCount()){
+					boolean equalPOI = true;
+					for (Entry<String, String> entry: n.getEntryIteratable()){
+						if (entry.getValue().equals(lastPOI.getTag(entry.getKey())) == false){
+							equalPOI = false;
+							break;
+						}
+					}
+
+					if(equalPOI && !complainedAboutLastPOI){
+						complainedAboutLastPOI = true;
+						if (FakeIdGenerator.isFakeId(n.getId()))
+							log.error("ignoring duplicate POI at "+ n.getLocation().toDegreeString() + " " + n.toTagString());
+						else
+							log.error("ignoring duplicate POI " + n.toBrowseURL());
+						continue;
+					}
+				}  
+			}
+			lastPOI = n;
+			complainedAboutLastPOI = false;
+			
 			converter.convertNode(n);
 			if (n.getTag("fixme") != null || n.getTag("FIXME") != null){
 				n.getLocation().setFixme(true);
